Bug 592021 - race condition in pvclock wallclock calculation
Summary: race condition in pvclock wallclock calculation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Glauber Costa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: Rhel5KvmTier2 592033 596623 596625
TreeView+ depends on / blocked
 
Reported: 2010-05-13 17:31 UTC by Glauber Costa
Modified: 2013-01-09 22:34 UTC (History)
6 users (show)

Fixed In Version: kvm-83-182.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 592033 (view as bug list)
Environment:
Last Closed: 2011-01-13 23:35:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Glauber Costa 2010-05-13 17:31:33 UTC
The hypervisor code for wallclock setting in pvclock is subject to race, since the version variable is static, and thus, shared among all guests.

This means that theoretically, one guest can mess up with the others view of version, causing it to be different among reads, which can lead to a livelock.

Comment 12 Mike Cao 2010-11-04 02:57:30 UTC
Verify this issue on :
# uname -r
2.6.18-229.el5
# rpm -q kvm
kvm-83-207.el5

steps:,start 7 guest on 8cores host with -no-kvm-pit-reinjection  -rtc-td-hack -startdate now

actual results:all guests didn't observe large offset(all less than 3s) after boot,pass.

this issue has already been fixed.

Comment 15 errata-xmlrpc 2011-01-13 23:35:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.